PIDOF(8)

NAZWA
pidof - znajdź pid działającego programu.

SKŁADNIA
pidof [-s] [-x] [-o pomińpid] [-o pomińpid..] program [program..]

OPIS
Pidof wyszukuje identyfikatory procesów (PID-y) wskazanych programów. Drukuje je następnie na standardowe wyjście. Program ten jest na ogół używany w skryptach zmian poziomu pracy (runlevel change scripts), szczególnie jeśli system ma strukturę rc typu System-V. Skrypty te są wtedy zlokalizowane w /etc/rc.?d, gdzie ? oznacza poziom pracy. Jeżeli system posiada program start-stop-daemon(8), to powinien być on stosowany zamiast pidof.

OPCJE

-s  Pojedynczy strzał - mówi to programowi, by wyświetlił tylko jeden pid.

-x  Skrypty również - to powoduje, że program zwraca również identyfikatory procesów powłok, pracujących z podanymi skryptami.

-o pomińpid
    Mówi programowi, by ominął procesy z podanym identyfikatorem procesu. Istnieje specjalny pid %PPID, który może być używany do wskazywania procesu rodzicielskiego programu pidof, czyli innymi słowy do wywołującej powłoki lub skryptu.

UWAGI
pidof jest po prostu dowiązaniem symbolicznym do programu killall5, który powinien też być zlokalizowany w /sbin.

Gdy pidof jest wywoływany z pełną, ścieżkową nazwą programu, którego pid ma znaleźć, jest rozsądnie bezpieczny. W przeciwnym razie możliwe, że zwróci identyfikatory pid programów, które przypadkowo mają tę samą nazwę, co szukany przez nas, ale faktycznie są innymi programami.

ZOBACZ TAKŻE
shutdown(8), init(8), halt(8), reboot(8).

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl